Bug 149485 - [patch] games/wesnoth: update to 1.8.4
Summary: [patch] games/wesnoth: update to 1.8.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Philip Paeps
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-10 03:30 UTC by swell.k
Modified: 2010-08-26 12:30 UTC (History)
0 users

See Also:


Attachments
a.diff (7.66 KB, patch)
2010-08-10 03:30 UTC, swell.k
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description swell.k 2010-08-10 03:30:01 UTC
- update
- include ports/148880
- drop desktopfileutils dependency[1] but update database when it's installed
- specific directory for desktopfileutils
- allow overriding PKG_CONFIG from environ or make.conf
- sort pixmaps in plist (cosmetic)

[1] it's not mandatory
Comment 1 Edwin Groothuis freebsd_committer 2010-08-10 03:30:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->philip

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 tacid 2010-08-10 18:04:56 UTC
I approve. New version compiles and works for me with this update patch
Comment 3 swell.k 2010-08-25 07:31:27 UTC
Reduce diff[1] with ports/149899.

[1] this is how it looks - http://pastebin.com/HZgUJHDQ

--- b.diff begins here ---
Index: games/wesnoth/files/patch-m4-boost.m4
===================================================================
RCS file: games/wesnoth/files/patch-m4-boost.m4
diff -N games/wesnoth/files/patch-m4-boost.m4
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-m4-boost.m4	23 Aug 2010 03:12:39 -0000
@@ -0,0 +1,11 @@
+--- m4/boost.m4~	2010-05-27 11:37:13.000000000 +0400
++++ m4/boost.m4	2010-08-23 07:12:17.014432212 +0400
+@@ -729,7 +729,7 @@ AC_CACHE_CHECK([for the flags needed to 
+   esac
+   # Generate the test file.
+   AC_LANG_CONFTEST([AC_LANG_PROGRAM([#include <pthread.h>],
+-    [pthread_t th; pthread_join(th, 0);
++    [pthread_t th=NULL; pthread_join(th, 0);
+     pthread_attr_init(0); pthread_cleanup_push(0, 0);
+     pthread_create(0,0,0,0); pthread_cleanup_pop(0);])])
+   for boost_pthread_flag in '' $boost_pthread_flags; do
Index: games/wesnoth/files/patch-src-tests-main.cpp
===================================================================
RCS file: games/wesnoth/files/patch-src-tests-main.cpp
diff -N games/wesnoth/files/patch-src-tests-main.cpp
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ games/wesnoth/files/patch-src-tests-main.cpp	25 Aug 2010 05:48:44 -0000
@@ -0,0 +1,10 @@
+--- src/tests/main.cpp~
++++ src/tests/main.cpp
+@@ -15,6 +15,7 @@
+ #define GETTEXT_DOMAIN "wesnoth-test"
+ 
+ 
++#define BOOST_TEST_DYN_LINK
+ #define BOOST_TEST_MODULE wesnoth unit tests master suite
+ #include <boost/test/unit_test.hpp>
+ #include <boost/test/unit_test_monitor.hpp>
--- b.diff ends here ---
Comment 4 dfilter service freebsd_committer 2010-08-26 12:25:43 UTC
philip      2010-08-26 11:25:34 UTC

  FreeBSD ports repository

  Modified files:
    games/wesnoth        Makefile distinfo pkg-plist 
    games/wesnoth/files  patch-configure.ac patch-src-gettext.cpp 
                         patch-src-gettext.hpp 
  Log:
  Update to 1.8.4
  
  - drop desktopfileutils dependency[1] but update database when it's installed
  - specific directory for desktopfileutils
  - allow overriding PKG_CONFIG from environ or make.conf
  - sort pixmaps in plist (cosmetic)
  
  [1] it's not mandatory
  
  PR:             ports/149485
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.84      +6 -6      ports/games/wesnoth/Makefile
  1.52      +3 -3      ports/games/wesnoth/distinfo
  1.3       +0 -12     ports/games/wesnoth/files/patch-configure.ac
  1.2       +15 -0     ports/games/wesnoth/files/patch-src-gettext.cpp
  1.2       +25 -0     ports/games/wesnoth/files/patch-src-gettext.hpp
  1.58      +4 -4      ports/games/wesnoth/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2010-08-26 12:28:13 UTC
philip      2010-08-26 11:28:04 UTC

  FreeBSD ports repository

  Added files:
    games/wesnoth/files  patch-m4-boost.m4 
                         patch-src-tests-main.cpp 
  Log:
  Reduce diff with ports/149899.
  
  PR:             ports/149485
  Submitted by:   Anonymous <swell.k@gmail.com>
  
  Revision  Changes    Path
  1.1       +11 -0     ports/games/wesnoth/files/patch-m4-boost.m4 (new)
  1.1       +10 -0     ports/games/wesnoth/files/patch-src-tests-main.cpp (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Philip Paeps freebsd_committer 2010-08-26 12:28:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!